Subject: Re: first bisection step takes quite a while

From: Junio C Hamano <[email-masked]>
Date: Thu, 20 Feb 2025 11:17:18 -0800

"D. Ben Knoble" <[email-masked]> writes:

> On Thu, Feb 20, 2025 at 9:38 AM Uwe Kleine-König
> <[email-masked]> wrote:
>>
>> Hello,
>>
>> today I did a bisection in the kernel repository:
>>
>>         linux$ git version
>>         git version 2.47.1
>>
>>         linux$ time git bisect start 09fbf3d502050282bf47ab3babe1d4ed54dd1fd8 96d8eab5d0a1a9741a4cae1b3c125d75d1aabedf
>>         Bisecting: 572238 revisions left to test after this (roughly 19 steps)
>>         [eafdca4d7010a0e019aaaace3dd71b432a69b54c] Merge tag 'staging-4.18-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/staging
>>
>>         real    18m41.374s
>>         user    27m18.306s
>>         sys     1m0.565s
>>
>> I was surprised that it took that long to find and checkout the first
>> revision to check. (That is on a 4 x Intel(R) Core(TM) i5-6440HQ CPU @
>> 2.60GHz, 16 GiB RAM with a Samsung SSD. On a different machine (56 x
>> Intel(R) Xeon(R) CPU E5-2660 v4 @ 2.00GHz, 256 GiB RAM and (I think a
>> spinning hard disk)) it took nearly an hour.
>
> Related thread:
> https://lore.kernel.org/git/[email-masked]/

Indeed.  I haven't had a chance to dig any deeper in the area of the
code since that discussion, but the ideas raised in the messages
near the tail end of the thread may be worth exploring.

THanks for the link.